Bug 114907 - .wpd files don't have a mime-handle (ie. you can't double-click them to open them)
.wpd files don't have a mime-handle (ie. you can't double-click them to open ...
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Mike McLean
Depends On: 126293
  Show dependency treegraph
Reported: 2004-02-04 07:49 EST by Rubin Simons
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-06 09:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rubin Simons 2004-02-04 07:49:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
AbiWord handles .wpd files but /usr/share/mime-info/abiword.keys
misses the application/x-wordperfect mime-type:

	description=WordPerfect document
	category=Documents/Word Processor

(NOTE: The example above misses the UTF-8 multi-lingual entries!)

So that means that simple souls can't double-click on a .wpd file
which confuses them to no end.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Double click on a .wpd document in nautilus
2. See the "No Action Associated" dialog.

Actual Results:  You'll see the "No Action Associated" dialog.

Expected Results:  AbiWord should have opened the file.

Additional info:
Comment 1 Jeremy Katz 2004-02-19 02:27:47 EST
Will be in next build.
Comment 2 Mike McLean 2004-06-07 11:40:18 EDT
Reporter writes:
> alas, we are quite some time further and double-clicking on wpd
> documents still doesn't show how cool abiword is for handling them ;-)
> (openoffice doesn't do it yet i think)
> Could someone please fix this? It would help users worldwide that have
> to work with these kind of files!
Comment 3 Caolan McNamara 2004-06-16 06:56:45 EDT
Hmm, nautilus reckons wordperfect files are application/wordperfect
because that's what shared-mime-info tells it. Abiword is registered
as application/x-wordperfect, so nothing happens.

I don't see application/wordperfect on the IANA list
(http://www.iana.org/assignments/media-types/application/), so looks
like it should be application/x-wordperfect in shared-mime-info, but
then theres a new wrinkle in March application/vnd.wordperfect was
added to the IANA list. So now it looks like everything should be
updated to be vnd.wordperfect.

Will coordinate with shared-mime-info people and verify what the
correct mimetype is.
Comment 4 Caolan McNamara 2004-07-23 03:24:14 EDT
Depends on this now: https://freedesktop.org/bugzilla/show_bug.cgi?id=914
Comment 5 Caolan McNamara 2004-09-06 09:36:36 EDT
Ok, mimetype is now in order. But they get opened in openoffice.org,
which can't actually open wpd at the moment . Changed the defaults.list
to get it into order as well

Built abiword 2.0.11-2 and shared-mime-info 0.15-3 with appropiate
changed for FC3. That will finally resolve this.

Note You need to log in before you can comment on or make changes to this bug.